Data - Retrieve Object Details
Ruft Objektdaten für die angegebene Objekt-ID ab.
POST http://<Servername>/OperationsManager/data/scomObjectsDetails
Anforderungstext
Media Types: "application/json", "text/json", "application/xml", "text/xml", "application/x-www-form-urlencoded"
| Name | Typ | Beschreibung |
|---|---|---|
| id |
string[] |
Geben Sie die Objekt-ID an. |
Antworten
| Name | Typ | Beschreibung |
|---|---|---|
| 200 OK |
OKAY. Die Objektdetails für die Objekt-ID wurden erfolgreich abgerufen. Media Types: "application/json", "text/json", "application/xml", "text/xml" |
Beispiele
RetrieveObjectData
Beispielanforderung
POST http://<Servername>/OperationsManager/data/scomObjectsDetails
[
"3c8ac4f3-475e-44dd-4163-8a97af363705"
]
Beispiel für eine Antwort
{
"tableColumns": [
{
"field": "displayname",
"header": "Display name",
"type": null,
"hidden": false
},
{
"field": "path",
"header": "Path",
"type": null,
"hidden": false
},
{
"field": "id",
"header": "ID",
"type": null,
"hidden": true
},
{
"field": "fullname",
"header": "Full name",
"type": null,
"hidden": false
}
],
"rows": [
{
"id": "3c8ac4f3-475e-44dd-4163-8a97af363705",
"displayname": "All Windows Computers",
"path": null,
"fullname": "Microsoft.SystemCenter.AllComputersGroup"
}
]
}
Definitionen
| Name | Beschreibung |
|---|---|
|
Table |
|
|
Table |
TableColumn
| Name | Typ | Beschreibung |
|---|---|---|
| field |
string |
Name der Spalte |
| header |
string |
Überschrift der Spalte |
| hidden |
boolean |
Ist die Spalte ausgeblendet |
| type |
string |
Typ der Spalte |
TableDataResponse
| Name | Typ | Beschreibung |
|---|---|---|
| rows |
object[] |
Tabelle Zeilen mit Daten |
| tableColumns |
Tabellenspalten mit Daten |